Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class AbstractIterator<E>

    java.lang.Object
      edu.stanford.nlp.util.AbstractIterator<E>

All Implemented Interfaces:
  Iterator<E>

Direct Known Subclasses:
  LineIterator, XMLBeginEndIterator

    public abstract class AbstractIterator<E>

extends Object
implements Iterator<E>

Iterator with `remove()` defined to throw an `UnsupportedOperationException`.

Constructor Summary
`AbstractIterator()`

Method Summary
`abstract boolean` | `hasNext()`
`abstract E` | `next()`
`void` | `remove()` Throws an `UnupportedOperationException`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractIterator

    public AbstractIterator()

Method Detail

### hasNext

    public abstract boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<E>`

### next

    public abstract E next()

  Specified by:
    `next` in interface `Iterator<E>`

### remove

    public void remove()

  Throws an `UnupportedOperationException`.

  Specified by:
    `remove` in interface `Iterator<E>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group